Bug 1175302 (ksysguard) - Review Request: ksysguard - KDE Process Management application
Summary: Review Request: ksysguard - KDE Process Management application
Keywords:
Status: CLOSED RAWHIDE
Alias: ksysguard
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kf5-ksysguard, libksysguard
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:17 UTC by Jan Grulich
Modified: 2015-01-20 13:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:41:41 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2014-12-17 13:17:52 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/ksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/ksysguard-5.1.1-1.fc21.src.rpm
Description: Performance monitor daemon
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2015-01-04 17:04:48 UTC
naming: ok

1. SHOULD use better project url, suggest:
URL: https://projects.kde.org/projects/kde/workspace/ksysguard


2. license NOT ok, some sources are GPLv2 only so MUST use:
License: GPLv2

sources: ok
3b2e23fc9e758741f26d1edb6120ea3d  ksysguard-5.1.1.tar.xz


3. SHOULD prefer/use
make install/fast DESTDIR=%{buildroot}
over
%make_install 


4. SHOULD verify if scriptlets
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
are needed for special-case kdeinit shlib:
%{_kf5_libdir}/libkdeinit5_ksysguard.so


5. MUST validate included application .desktop file, add
BuildRequires: desktop-file-utils
and
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/ksysguard.desktop

6.  MUST add icon cache scriptlets for included
%{_datadir}/icons/hicolor/*/apps/*.png

7. SHOULD use %find_lang ... --with-kde ... to automatically pick up HTML handbooks

Comment 2 Jan Grulich 2015-01-05 15:20:40 UTC
- Fixed license
- Used make install instead of make_install macro
- Removed unnecessary scriptlets and added scriptlets for icon cache
- Added desktop file validation

Spec URL: https://jgrulich.fedorapeople.org/plasma5/ksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/ksysguard-5.1.1-2.fc21.src.rpm

Comment 3 Daniel Vrátil 2015-01-16 10:52:54 UTC
Rex, could you please finish the review, since you started with it?

Comment 4 Rex Dieter 2015-01-16 13:56:12 UTC
All MUST blocker items resolved, APPROVED (though consider item 7 not implemented yet afaict).

Comment 5 Jan Grulich 2015-01-16 14:12:02 UTC
New Package SCM Request
=======================
Package Name: ksysguard
Short Description: KDE Process Management application
Upstream URL: https://projects.kde.org/projects/kde/workspace/ksysguard
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-16 14:50:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.